HTML-FormFiller reviews

cpanratings
 

RSS | Module Info | Add a review of HTML-FormFiller

HTML-FormFiller (0.04) *

The module appears to offer no significant benefit over the much more established HTML::FillInForm. FillInForm also has a much more thorough test suite as well.
This module makes the claim that it doesn't have the dependencies on "CGI/modperl" that HTML::FillInForm does. This is a false claim. FillInForm does not require CGI or mod_perl to be installed to install or use the module-- A vanilla hash will work just fine as data source. In fact, FillInForm only requires Perl 5.5 to work, while this one requires 5.6. It also depends on HTML::Parser and HTML::Entities, which were not properly declared in the Makefile.PL. I recommend using the old standby, HTML::FillInForm instead.